package ch.std.jumpstart.scheduled;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

@Component
@ConditionalOnProperty(prefix="jumpstart.scheduler.systeminfo", name="enabled", havingValue="true")
public class SystemInfoTask {

	Logger logger = LoggerFactory.getLogger(SystemInfoTask.class);

	@Scheduled(initialDelayString = "${jumpstart.scheduler.systeminfo.initialDelay}", fixedRateString = "${jumpstart.scheduler.systeminfo.fixedRate}")
	public void runInitialDelay() {
		logger.info("system info, active thread count = " + Thread.activeCount());	
		logger.info("system info, free memory = " + Runtime.getRuntime().freeMemory());	
		logger.info("system info, max memory = " + Runtime.getRuntime().maxMemory());	
		logger.info("system info, total memory = " + Runtime.getRuntime().totalMemory());	
	}

}
